=== config/docs/CMakeLists.txt ===
# declare installation files
install(FILES config.txt dirstruc.txt envvars.txt macros.txt modules.txt DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}" COMPONENT doc)
